(function( $ ) { 
	'use strict';
	const observer = lozad(); // lazy loads elements with default selector as '.lozad'
	//const thumbnailPreload = $('.lozad');
	observer.observe();
	

	var scenes = [ "001", "002", "003" ];
	var pools = [ "197", "199", "200" ];
	var liners = [ "001", "002", "003", "004", "005", "006", "007", "008", "009", "010", "011", "012", "013", "014", "015", "016", "017", "018", "019", "020", "021", "022", "023", "024", "025" ];
	var angles = [ "001", "002", "003", "004", "006" ];
	var counter = 1;
	var defaultOverride = '006';
	
	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	 
				
		function replaceAt(string, index, replace, replaceLength) { 
			return string.substring(0, index) + replace + string.substring(index + replaceLength);
		} 
		
		function getImageAttribute(attributeScope) {
				var fullPath       = document.getElementById("configurator-image").src;
				var filename       = fullPath.replace(/^.*[\\\/]/, '');
				var optionScope    = attributeScope; 
				var optionLength   = 3;
				var optionPosition = filename.indexOf(optionScope) + 3;
				var res            = filename.substr(optionPosition, 3);
				
				return res;
		}
		$('.yard-selector').click(function(e){
			//e.preventDefault();
			var arg = $(this);
			findReplaceImageAttribute(arg, "Scene", "yard-id");
			angleThumbnailImages();
		});


		$('.pool-selector').click(function(e){
			e.preventDefault();
			var arg = $(this);
			findReplaceImageAttribute(arg, "Pool", "pool-id");
			//angleThumbnailImages();	
		});
			
		$('.angle-selector').click(function(e) {
			e.preventDefault();
			var arg = $(this);
			findReplaceImageAttribute(arg, "Cam", "cam-id");
		});

		$('.liner-selector').click(function(e){
			e.preventDefault();
			var arg = $(this);
			findReplaceImageAttribute(arg, "Liner", "liner-id");
			angleThumbnailImages();	
		});
		
		function findReplaceImageAttribute(thisArg, attributeScope, dataAttr) {
				var fullPath         = document.getElementById("configurator-image").src;
				var filename         = fullPath.replace(/^.*[\\\/]/, '');
				var optionScope      = attributeScope; 
				var optionLength     = optionScope.length;
				var optionPosition   = filename.indexOf(optionScope);
				var replacementIndex = optionPosition + optionLength;
				if ( thisArg == 'this' ) {
						thisArg == $(this);
				}
				var theID            = thisArg.data(dataAttr);
				var theIDLength      = theID.toString().length;
				var newAttribute     = replaceAt(filename, replacementIndex, theID, theIDLength );
				
				$('.configurator-preview').attr('src',`https://905d121a9e6319413f2e-7528d0539499b29f01f854833af2001a.ssl.cf5.rackcdn.com/latham-images/liners/${newAttribute}`); 
				return false; 
		}
		
		function findReplaceImageAttributeManual(thisArg, attributeScope, dataAttr) {
				var fullPath         = document.getElementById("configurator-image").src;
				var filename         = fullPath.replace(/^.*[\\\/]/, '');
				var optionScope      = attributeScope; 
				var optionLength     = optionScope.length;
				var optionPosition   = filename.indexOf(optionScope);
				var replacementIndex = optionPosition + optionLength;
				var theID            = dataAttr;
				var theIDLength      = theID.toString().length;
				var newAttribute     = replaceAt(filename, replacementIndex, theID, theIDLength );
				
				$('.configurator-preview').attr('src',`https://905d121a9e6319413f2e-7528d0539499b29f01f854833af2001a.ssl.cf5.rackcdn.com/latham-images/liners/${newAttribute}`); 
				return false; 
		}
		
		function overrideAttributes(scene, pool, cam) {
				var thisArg = $(this);
				
				if ( scene != '' ) {
						findReplaceImageAttributeManual(thisArg, 'Scene', scene);
				}
				
				if ( pool != '' ) {
						findReplaceImageAttributeManual(thisArg, 'Pool', pool);
				}
				
				if ( cam != '' ) {
						findReplaceImageAttributeManual(thisArg, 'Cam', cam);
				}
		}
		
		
		function fullWidthIntro() {
				var intro = $('#step-0');
				var hash = location.hash.slice(1);
				var sidenav = $('.sidenav');
				if(hash === 'step-0' || hash === 'step-1') {
					sidenav.addClass('force-100');
				} 
		}
		
		// Declare Materialize Elements
		var sideNav        = document.querySelector('.sidenav');
		var dropdownElem   = document.querySelector('.dropdown-trigger');
		var tapTargetElem  = document.querySelector('#featurepopup');
		var fabElem        = document.querySelector('.fixed-action-btn');
		var finishSteps    = document.querySelector('.finish-button');
		var yardTabsElem	 = document.querySelector('.yard-tabs ul');
		var linerCarousel  = document.querySelector('.carousel');
		var canviRight     = new Canvi({
			content: '.latham-liner-container',
			navbar: '.canvi-navbar',
			openButton: '.js-canvi-open-button--right', 
			isDebug: false,
			position: 'right',
			pushContent: false,
      width: "100%",
      responsiveWidths: [ {
          breakpoint: "768px",
          width: "200px"
      }, {
          breakpoint: "1280px",
          width: "220px"
      }, {
          breakpoint: "1600px",
          width: "250px"
      } ]
    });
		
		// Load DOM
		document.addEventListener('DOMContentLoaded', function() {
			
			//// Being SideNav Initialization
			var sideNavInstance = M.Sidenav.init(sideNav, {
				preventScrolling: true,
				onOpenStart: fullWidthIntro, // when open, call full-width function to ensure steps #0 and #1 are full width of the containers.
			});
			
			//
			//// Begin FeatureDiscovery Initialization
	    var tapTargetInstance = M.TapTarget.init(tapTargetElem, {
			});
			
			//// Begin Fab Initialization
	    var fabInstance = M.FloatingActionButton.init(fabElem, {
				hoverEnabled: false
			});
			
			// Assign the instances to Variables
			var theSideNavInstance = M.Sidenav.getInstance(sideNav);
			theSideNavInstance.open();   // sideNav is initialized, lets open it on page load
			
			finishSteps.onclick = finishStepsFunction;
			
			var theFabInstance = M.FloatingActionButton.getInstance(fabElem);
	  });  // End Load DOM
		
		fabElem.addEventListener('click', function() {
				closeAngleThumbnails();
				hideLinersModule();
		});
			
		function openAngleThumbnails() {
			Canvi instanceof canviRight.open();
		}
		
		function closeAngleThumbnails() {
			Canvi instanceof canviRight.close();
		}
		
		// Show our Angle Selector Icon
		function showVisualizerIcons() {
			$(".ui-config-icon").addClass('show-ui-element'); 
			angleThumbnailImages();
		}
		
		// Show our Angle Selector Icon
		function hideVisualizerIcons() {
			$(".ui-config-icon").removeClass('show-ui-element'); 
		}

		
		function closeSideNav(e) {
			var theSideNavInstance = M.Sidenav.getInstance(sideNav);
			theSideNavInstance.close();
		}
		
		
		function linerSelectionOpen() {
				overrideAttributes('', '', '006');
				var fullPathStored         = document.getElementById("configurator-image").src;
				//console.log(fullPathStored);
				return fullPathStored
		}
		
		function linerSelectionClose(pathStored) {
				var fullPathStored = pathStored;
				
				overrideAttributes('', '', '006');
		}
		
		
		
		function showLinersModule() {
			
			var theFabInstance = M.FloatingActionButton.getInstance(fabElem);
			theFabInstance.close();
			closeAngleThumbnails();
			$('.ui-liner-selection-element').addClass('visible');
			$('.ui-liner-element-icon').addClass('push-up');
		}
		
		function hideLinersModule() {
			$('.ui-liner-selection-element').removeClass('visible');
			$('.ui-liner-element-icon').removeClass('push-up');
		}
		
		function thumbnailImageInstance(angleIndex) {
			var fullPath         = document.getElementById("configurator-image").src;
			var filename         = fullPath.replace(/^.*[\\\/]/, '');
			var optionScope      = "Cam";
			var optionLength     = optionScope.length;
			var optionPosition = filename.indexOf(optionScope);
			var res            = filename.substr(optionPosition, 3);
			var replacementIndex = optionPosition + optionLength;
			var camID            = angleIndex;
			var camIDLength      = camID.toString().length;
			var newCam         	 = replaceAt(filename, replacementIndex, camID, camIDLength );
			
			return `<li><a href="#!${angleIndex}" class="angle-selector" data-cam-id="${angleIndex}" id="cam-${angleIndex}"><img src="https://905d121a9e6319413f2e-7528d0539499b29f01f854833af2001a.ssl.cf5.rackcdn.com/latham-images/liners/${newCam}" data-src="https://905d121a9e6319413f2e-7528d0539499b29f01f854833af2001a.ssl.cf5.rackcdn.com/latham-images/liners/${newCam}" class="lozad"></a></li>`;
		}
		
		function generateThumbnailList() {
				var newAngles          = angles;
				var currentAngle 			 = getImageAttribute('Cam');
				var index              = newAngles.indexOf(currentAngle);
				
				newAngles = jQuery.grep(newAngles, function(value) {
					return value != currentAngle;
				});
				
				return newAngles;
		}
		
		function clearThumbnails() {
				$('#angle-select-thumbnails li').not(':first').remove();
		}
		
		function initiateThumbnails(thumbnailArray) {
				var angleSelectThumbnails    = $('#angle-select-thumbnails');
				var newAngles = thumbnailArray;
				var thumbnailItems = [];
				
				newAngles.forEach( function(angle) {
						angleSelectThumbnails.append(thumbnailImageInstance(angle));
				}) ;
				
				$('.angle-selector').click(function(e) {
					e.preventDefault();
					var arg = $(this);
					findReplaceImageAttribute(arg, "Cam", "cam-id");
				});
				
				return true;
		}
		
		function angleThumbnailImages() {
			clearThumbnails();
			var thumbnailArray = generateThumbnailList();
			
			initiateThumbnails(thumbnailArray);
		}
		
		// Fire off these functions when the user clicks 'Finish'
		function finishStepsFunction() {
				openAngleThumbnails();
				$('.ll-step-three').addClass('step-3-completed');
				closeSideNav();
				showVisualizerIcons();
				$('.latham-liner-container').addClass('sidebar-closed');
				$('.latham-column').addClass('show-mobile-ui');
		}
		function restartStep3() {
			if ($('.ll-step-three').hasClass('step-3-completed')){
					$('.ll-step-three').removeClass('step-3-completed');
			} else {
					$('.ll-step-three').addClass('step-3-completed');
			}
		}
		function restartLinerSelection() {
			
		    if ($('.ll-step-three').hasClass('step-3-completed')){
		        $('.ll-step-three').removeClass('step-3-completed');
		    } else {
		        $('.ll-step-three').addClass('step-3-completed');
		    }
					
		    if ($('.latham-liner-container').hasClass('sidebar-closed')){
		        $('.latham-liner-container').removeClass('sidebar-closed');
		    } else {
		        $('.latham-liner-container').addClass('sidebar-closed');
		    }
					
		    if ($('.latham-column').hasClass('show-mobile-ui')){
		        $('.latham-column').removeClass('show-mobile-ui');
		    } else {
		        $('.latham-column').addClass('show-mobile-ui');
				}
				
		}
		
		window.onload = function () {
			function keepAspectRatio(id, width, height) {
					var aspectRatioDiv = document.getElementById(id);
					aspectRatioDiv.style.width = window.innerWidth;
					aspectRatioDiv.style.height = (window.innerWidth / (width / height)) + "px";
			}
		}
		
		$( window ).load(function() {
				$(this).scrollTop(0);
		});
		
		
		$('.md-trigger').click(function(){
				var $el = $('.md-modal');
				var icon = $(this).parents().find("i.fullscreen");
				
				$el.toggleClass('md-show', 1000);
				icon.toggleClass("icon-resize-full icon-resize-small");
		});
		
		$('.ui-liner-element-icon').click(function(){
				$('.ui-liner-selection-element').toggleClass('visible');
				closeAngleThumbnails();
				$(this).toggleClass('push-up');
		});
		
		$('.mobile-view-change').click(function() {
			
				Canvi instanceof canviRight.toggle();
				$(this).toggleClass('ll-active'); 
				if ($('.mobile-liner-change').hasClass('ll-active')){
						$('.mobile-liner-change').removeClass('ll-active');
				}
				if ($('.ui-liner-selection-element').hasClass('visible')){
						$('.ui-liner-selection-element').removeClass('visible'); 
				}
				if ($('.ui-liner-selection-element').hasClass('push-up')){
					$('.ui-liner-element-icon').removeClass('push-up'); 
				}
		});
		
		$('.mobile-liner-change').click(function() {
			$(this).toggleClass('ll-active'); 
			Canvi instanceof canviRight.close();
			if ($('.mobile-view-change').hasClass('ll-active')){
					$('.mobile-view-change').removeClass('ll-active');
					$('.ui-liner-selection-element').toggleClass('visible');
					$('.ui-liner-element-icon').toggleClass('push-up');
			}
			if ($('.mobile-view-change').hasClass('ll-active') && $('.ui-liner-element-icon').hasClass('push-up') && $('.ui-liner-selection-element').hasClass('visible')){
					$(this).toggleClass('ll-active');
					$('.ui-liner-selection-element').toggleClass('visible');
					$('.ui-liner-element-icon').toggleClass('push-up');
			}
			
		});
		
		$('#step-2 .sw-btn-next').click(function() {
			
			$('.ll-step-three').removeClass('step-3-completed');
		});
		
		$('#step-3 .sw-btn-prev').click(function() {
			
			overrideAttributes('', '', '004');
			//$('.ll-step-three').removeClass('step-3-completed');
		})
		
			
		$(document).mouseup(function(e){
			var container = $(".ui-liner-selection-element");

			// If the target of the click isn't the container
			if(!container.is(e.target) && container.has(e.target).length === 0){
					hideLinersModule();
			}
		});
			
			$("#init-sw").smartWizard({ 
				
						selected: 0,  // Initial selected step, 0 = first step 
						keyNavigation:false, // Enable/Disable keyboard navigation(left and right keys are used if enabled)
						autoAdjustHeight:false, // Automatically adjust content height
						cycleSteps: false, // Allows to cycle the navigation of steps
						//backButtonSupport: true, // Enable the back button support
						useURLhash: true, // Enable selection of the step based on url hash
						lang: {  // Language variables
								next: 'Next', 
								previous: 'Previous'
						},
						anchorSettings: {
								anchorClickable: false, // Enable/Disable anchor navigation
								enableAllAnchors: false, // Activates all anchors clickable all times
								markDoneStep: true, // add done css
								enableAnchorOnDoneStep: true // Enable/Disable the done steps navigation
						},            
						contentURL: null, // content url, Enables Ajax content loading. can set as data data-content-url on anchor
						transitionEffect: 'fade', // Effect on navigation, none/slide/fade
						transitionSpeed: '400'
						
			});
			
			
			$('.fab-link').click(function() {
				if ($('.latham-column').hasClass('show-mobile-ui')){
		        $('.latham-column').removeClass('show-mobile-ui');
		    }
			})
			
			$('.fab-link#change-liners').click(function(e) {
				e.preventDefault();
				overrideAttributes('', '', '002');
				
				restartLinerSelection();
			});
			
			$('.fab-link#change-pool').click(function(e) {
				overrideAttributes('', '', '004');
				//restartStep3();
			});
			
			
			// DOCUMENT READY
			$(function(){
				
			  var target = document.querySelector('#step-3');
				var jQueryTarget = $('#step-3');
				var observer = new MutationObserver(function(){
				    if(target.classList.contains('step-3-completed')){
									//console.log("STEP-3 IS COMPLETED");
									linerSelectionClose(linerSelectionOpen);
									overrideAttributes('', '', '004');
							} else {
									linerSelectionOpen();
									overrideAttributes('', '', '002');
									//console.log("STEP-3 HASNT COMPLETED");
						}
				});
				
			  observer.observe(target, {
			    attributes: true
			  });
				
				
				// Initiate Carousel for liner carousel		
				$('.carousel').carousel({
					//noWrap: true,
					numVisible: 10,
					dist: -105,
					padding: 35,
					shift: 10,
					onCycleTo: function(data){
						var data = $(data);
						findReplaceImageAttribute(data, "Liner", "liner-id");
						angleThumbnailImages();
					}
				});
				
				$(document).keydown(function(e) {
			    switch(e.which) {
			        case 37: // left
							$('.carousel').carousel('prev');
			        break;

			        case 38: // up
							showLinersModule();
			        break;

			        case 39: // right
							$('.carousel').carousel('next');
			        break;

			        case 40: // down
							hideLinersModule();
			        break;

			        default: return; // exit this handler for other keys
			    }
			    e.preventDefault(); // prevent the default action (scroll / move caret)
				});
				
				$('.finish-button').click(function(){
					linerSelectionClose(linerSelectionOpen);
				});
				
				$("#init-sw").on("leaveStep", function(e, anchorObject, stepNumber, stepDirection) {
					var sidenav = $('.sidenav');
						
					if(stepNumber === 1) {
						sidenav.removeClass('force-100');
					}
					if(stepNumber === 3) {
						overrideAttributes('', '', '004');
					}
					//console.log(stepNumber);
		    });
				
	      $("#init-sw").on("showStep", function(e, anchorObject, stepNumber, stepDirection) {
					var sidenav = $('.sidenav');
										
					if ( stepNumber <= 1 ) {
						sidenav.addClass('force-100');
					}
	      });
	    	
		  }); // end of document ready
			
			$.fn.activeSelectionClass = function(){ 
					$(this).removeClass('ll-active'); 
					$(this).addClass('ll-active'); 
	    }
					
			
			$('.liner-selector').click(function(e) {
	    		e.preventDefault();
					$.fn.activeSelectionClass();
			});
			
			$('.pool-selector').click(function(e) {
	    		e.preventDefault();
					$.fn.activeSelectionClass();
			});
			
			$('.angle-selector').click(function(e) {
	    		e.preventDefault();
					$.fn.activeSelectionClass();
			});
			
			$('.yard-selector').click(function(e) {
	    		e.preventDefault();
					$.fn.activeSelectionClass();
	    		e.stopPropagation();
			});

			
		  $(document).on("click", function(e) {
			    if ($(e.target).is('.yard-selector') === false) {
			      	$('.yard-selector').removeClass('ll-active');
			    }
		  });
			
		
			$('.fab-link').on("click", function(e) {
					$('.sidenav').sidenav('open');
					closeAngleThumbnails();
					
					// Hide Visualizer Icons
					hideVisualizerIcons();
					hideLinersModule();
					
			});
			
			
			$('#theOverlayContainer').on('click', function() {
					$('.md-modal').removeClass('md-show');
			});
		
			
			document.querySelector('body').addEventListener('canvi.before-open', function(e) {
			    //console.log('Catch Canvi before-open event...');
					angleThumbnailImages();
					var theFabInstance = M.FloatingActionButton.getInstance(fabElem);
					theFabInstance.close();
					
			});
			
			document.querySelector('body').addEventListener('canvi.before-close', function(e) {
		    //console.log('Catch Canvi before-close event...');
				angleThumbnailImages();
		});
})( jQuery );
	