<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://thegetsmartgroup.com
 * @since      1.0.0
 *
 * @package    Latham_Liners
 * @subpackage Latham_Liners/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Latham_Liners
 * @subpackage Latham_Liners/includes
 * @author     Get Smart Group <plugins@thegetsmartgroup.com>
 */
class Latham_Liners_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'latham-liners',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
