<?php
/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://thegetsmartgroup.com
 * @since      1.0.0
 *
 * @package    Latham_Liners
 * @subpackage Latham_Liners/public/partials
 */

  
 
   
  $plugins_url        = plugins_url();
  $base_url           = get_option( 'siteurl' );
  $plugins_dir        = str_replace( $base_url, ABSPATH, $plugins_url );
  // Now $plugins_dir is same as the WP_PLUGIN_DIR constant.
  $my_plugin          = $plugins_dir . '/latham-liners';
  $my_plugin_master   = $plugins_dir . '/latham-liners-master';
  $cdn_url            = 'https://905d121a9e6319413f2e-7528d0539499b29f01f854833af2001a.ssl.cf5.rackcdn.com';
  $the_thumbs_dir     = $cdn_url . '/latham-images/thumbs';
  $the_liners_dir     = $cdn_url . '/latham-images/liners';
  $yard_styles_dir    = $cdn_url . '/latham-images/yard-styles';
  $thumb_api_response = Latham_Liners_Public::rs_get_thumbnails();
  
  $plugin_options = get_option( 'latham-liners-admin' );
  $gsg_ll_contact_btn_txt = $plugin_options["gsg_ll_contact_btn_txt"]; // as single, type mixed
  $gsg_ll_contact_btn_url = $plugin_options["gsg_ll_contact_btn_url"];
 

?>

<script type="text/javascript">

if (!('IntersectionObserver' in window)) {
    var script = document.createElement("script");
    script.src = "https://raw.githubusercontent.com/w3c/IntersectionObserver/master/polyfill/intersection-observer.js";
    document.getElementsByTagName('head')[0].appendChild(script);
}

</script>




<!-- This file should primarily consist of HTML with a little bit of PHP. -->

  <div id="llcontainer" class="ll-container md-modal">
		
		<div class="row no-gutters">
			<div class="col-12 latham-column" id="fullscreenElement">
        <div class="row no-gutters">
          <div class="col-12 latham-liner-container canvi-content">
            
            <div class="ll-filler"></div>
            
            <img src="<?php echo $the_liners_dir ?>/Scene001_Pool197_Liner000_Cam004.jpg" alt="The Backyard of your Dreams" class="configurator-preview" id="configurator-image" style="max-width: 100%; height: auto; width: 100%">
            
            <img src="<?php echo $the_liners_dir ?>/Scene001_Pool197_Liner000_Cam004.jpg" alt="The Backyard of your Dreams" class="configurator-sizer" style="max-width: 100%; height: auto; width: 100%">
            
            <div class="latham-branding">
              <?php if ( is_dir( $my_plugin ) ) { ?> 
                <img src="<?php echo get_site_url(); ?>/wp-content/plugins/latham-liners/assets/img/latham-logo.png" alt="Latham Liner Visualizer">
              <?php } elseif( is_dir( $my_plugin_master ) ) { ?>
                <img src="<?php echo get_site_url(); ?>/wp-content/plugins/latham-liners-master/assets/img/latham-logo.png" alt="Latham Liner Visualizer">
              <?php } ?>
            </div>
            
            
            
            <a class="btn-floating md-trigger secondary-branding-bg fullscreen-element-icon ui-config-icon" data-modal="modal-12"><i class="icon-resize-full fullscreen"></i></a>
            
            <a class="primary-branding-bg ui-liner-element-icon ui-config-icon"><span class="expand-text"><i class="icon-delicious"></i>Change Liner</span></a>
            
            <div class="ui-liner-selection-element">
              <div>
                <div>
                <?php 
                $thumbs_decoded_alt = array();
                if ( is_array( $thumb_api_response ) ) {?>
                  <div class="carousel">
                  <?php  
                  foreach($thumb_api_response as $key => $thumb) { 
                    $thumb = str_replace("latham-images/thumbs/", "", $thumb);
                    
                    $thumb_isolated = str_replace("latham-images/thumbs", "", $thumb);
                    $thumb_extracted = preg_replace('/\\.[^.\\s]{3,4}$/', '', $thumb);
                    $thumb_extracted = str_replace("-", " ", $thumb_extracted);
                    $thumb_extracted = substr($thumb_extracted, 4);
                    $thumbnames = explode('_', str_replace("latham-images/thumbs", "", $thumb_extracted));
                    $thumbs_decoded_alt[] .= $thumb_isolated;
                    $liner_index = substr($thumb, 0, 3);
                  ?>
                  
                <a class="carousel-item" href="#!" data-liner-id="<?php echo $liner_index ?>">
                  <?php if( isset( $thumbnames ) ) { ?>
                    <div class="liner-title-container">
                        <?php foreach( $thumbnames as $key => $name ) { ?>
                          <?php if( $key == 1 ) { ?>
                          <?php $return_var =  '<span class="ampersand-char">&amp;</span>';
                          
                          echo $return_var;
                           } ?>
                           
                             <span class="liner-title-<?php echo $key ?>"><?php echo $name ?></span>
                        <?php } ?>
                    </div>
                  <?php } ?>
                  <img src="<?php echo $cdn_url ?>/latham-images/thumbs/<?php echo $thumb ?>" data-liner-id="<?php echo $liner_index ?>" class="liner-selector2">
                </a>

                      
                <?php } ?>
              </div>
            <?php } ?>
            </div>
            </div>
            </div>
            
            <div class="latham-liner-content" id="latham-liner-container">
              <div class="fixed-action-btn horizontal fix-br" id="fixbr">
                <a class="waves-effectx waves-lightx btn-large btn-floating secondary-branding-bg ui-config-icon fab-element-icon" id="featuremenu">
                  <i class="icon-menu large"></i>
                </a>
                <ul>
                  <?php if( $gsg_ll_contact_btn_txt || $gsg_ll_contact_btn_url ) { ?>
                    <li><a class="fab-link attention btn-floating attention-branding-bg" href="<?php echo esc_url($gsg_ll_contact_btn_url); ?>" target="_blank"><strong><?php echo $gsg_ll_contact_btn_txt ?></strong></a></li>
                  <?php } else { ?>
                    <li><a class="fab-link attention btn-floating attention-branding-bg" href="https://lathampools.com" target="_blank"><strong>Latham Pools</strong></a></li>
                  <?php } ?>
                  <li><a class="fab-link btn-floating alt1-branding-bg" id="change-yard" data-anchor="#step-1" href="#step-1"><i class="icon-home"></i> Change Yard</a></li>
                  <li><a class="fab-link btn-floating alt2-branding-bg" id="change-pool" data-anchor="#step-2" href="#step-2"><i class="icon-swimming"></i>Change Pool</a></li>
                  <li><a class="fab-link btn-floating alt3-branding-bg" id="change-liners" data-anchor="#step-3" href="#step-3"><i class="icon-delicious"></i> Change Liner</a></li>
                </ul>
              </div>
              
              
              
              <div id="slide-out" class="sidenav">
                
                <div>
                <!-- container to initialize wizard -->
                <div id="init-sw">
                  
                    <!-- menu for wizard -->
                    <ul>
                        <li><a href="#step-0">Introduction<br /><small>Latham Liner Visualizer</small></a></li>
                        <li><a href="#step-1">Step One<br /><small>Select a Yard Style</small></a></li>
                        <li><a href="#step-2">Step Two<br /><small>Select a Pool Shape</small></a></li>
                        <li><a href="#step-3">Step Three<br /><small>Select a Liner Pattern</small></a></li>
                        <!--<li><a href="#step-4">Step Title<br /><small>Step description</small></a></li>-->
                    </ul>
                    <!-- end menu for wizard -->
                    
                    <div> 
                    <div id="step-0" class="ll-step-intro">
                      
                        <div class="row no-gutters">
                          <div class="col-12 col-md-10 offset-md-1">
                              
                              
                              <div class="row align-items-center no-gutters">
                                <div class="col-12 col-md-10 mx-auto">
                                
                                  <div class="row">
                                    <div class="col-10 mx-auto col-md-12 logo">
                                          <?php if ( is_dir( $my_plugin ) ) { ?>
                                            <img src="<?php echo get_site_url(); ?>/wp-content/plugins/latham-liners/assets/img/latham-logo.png" alt="Latham Liner Visualizer">
                                          <?php } elseif( is_dir( $my_plugin_master ) ) { ?>
                                            <img src="<?php echo get_site_url(); ?>/wp-content/plugins/latham-liners/assets/img/latham-logo.png" alt="Latham Liner Visualizer">
                                          <?php } ?>
                                    </div>
                                  </div>
                                  
                                  <h1>Latham Liner Visualizer</h1>
                                  <h2>Choosing the perfect liner pattern just got easier!</h2>
                                  
                                  <div class="row intro-steps">
                                    <div class="col-12">
                                      <p class="plugin-introduction">Now you can experience the fun and convenience of designing the perfect pool, right down to the hue of the water.<br><br><strong>Simply select a yard style, choose a pool shape and start shopping liner patterns.</strong></p>
                                      
                                    </div>
                                  </div>
                                  
                                  
                                  
                                </div>
                              </div>
                          </div>
                        </div>
                        <div class="row no-gutters intro-get-started ll-btn-container">
                          <div class="col-12">
                            <button class="sw-btn-next ll-btn ll-btn-main">Let's Get Started!</button>
                          </div>
                        </div>
                    </div>
                    <div id="step-1" class="ll-step-one">
                      <div class="row yard-scenes">
                        <div class="col-12 col-lg-6 step-one-header">
                          <div class="step-heading">
                            <div class="step-index">
                              <i class="icon-home"></i>
                              <div>
                                <h5>Step 1</h5>
                              </div>
                            </div>
                            <h6>Select your Style</h6>
                          </div>
                        </div>
                          <div class="col-6 col-lg-6">
                            <a href="#!bungalow" class="yard-selector sw-btn-next" data-yard-id="001"><img src="<?php echo $yard_styles_dir ?>/bungalow.jpg" alt=""><span class="scene-title">Modern Ranch</span></a>
                          </div>
                          <div class="col-6 col-lg-6">
                            <a href="#!traditional" class="yard-selector sw-btn-next" data-yard-id="002"><img src="<?php echo $yard_styles_dir ?>/traditional.jpg" alt=""><span class="scene-title">Traditional Colonial</span></a>
                          </div>
                          <div class="col-6 col-lg-6">
                            <a href="#!stone" class="yard-selector sw-btn-next" data-yard-id="003"><img src="<?php echo $yard_styles_dir ?>/stone.jpg" alt=""><span class="scene-title">Contemporary Estate</span></a>
                          </div>
                        </div>
                        <div class="row mt-3 no-gutters ll-btn-container d-none">
                          <div class="col-12">
                            <button class="sw-btn-next ll-btn ll-btn-main">Continue</button>
                            <!--<button class="sw-btn-prev ll-btn ll-btn-plain ll-back">Go Back</button> -->
                          </div>
                        </div>
                      
                    </div>
                    
                    <!---->
                    <div id="step-2" class="ll-step-two">
                        <div class="row">
                          <div class="col-12">
                            <div class="step-heading">
                              <div class="step-index">
                                <i class="icon-swimming"></i>
                                <div>
                                  <h5>Step 2</h5>
                                </div>
                              </div>
                              <h6>Select a Pool Shape</h6>
                            </div>
                          </div>
                        </div>
                    
                        <div class="row pool-selector-container" style="margin-left: 0; margin-right: 0;">
                          <div class="col-6">
                              <a href="#!rectangle" class="hvr-grow pool-selector" data-pool-id="197">
                                <div class="pool-option">
                                  <div><i class="icon-rectangle"></i></div>
                                  <div>Rectangle</div>
                                </div>
                              </a>
                          </div>
                          <div class="col-6">
                              <a href="#!kidney" class="hvr-grow pool-selector" data-pool-id="199">
                                <div class="pool-option">
                                  <div><i class="icon-freeform-pool"></i></div>
                                  <div>Freeform</div>
                                </div>
                              </a>
                          </div>
                          <div class="col-6">
                              <a href="#!lazy-l" class="hvr-grow pool-selector" data-pool-id="200">
                                <div class="pool-option">
                                  <div><i class="icon-lazy-l"></i></div>
                                  <div>True-L</div>
                                </div>
                              </a>
                          </div>
                        </div>
                        <div class="row" style="margin-left: 0; margin-right: 0;">
                          <div class="col-12 ll-btn-container">
                            <button class="sw-btn-next ll-btn ll-btn-main ">Continue</button>
                            <!--<button class="sw-btn-prev ll-btn ll-btn-plain ll-back">Go Back</button> -->
                          </div>
                        </div>
                      
                    </div>
                    
                    <!---->
                    <div id="step-3" class="ll-step-three">
                      <div class="row no-gutters">
                        <div class="col-12">
                          <div class="step-heading">
                            <div class="step-index">
                              <i class="icon-delicious"></i>
                              <div>
                                <h5>Step 3</h5>
                              </div>
                            </div>
                            <h6>Select a liner</h6>
                          </div>
                        </div>
                      </div>
                        
                      <div class="scrollbox">
                        <div class="row no-gutters">
                          <?php 
                          if ( is_array( $thumb_api_response ) ) {
                            foreach($thumb_api_response as $key => $thumb) { 
                              $thumb = str_replace("latham-images/thumbs/", "", $thumb);
                              $liner_index = substr($thumb, 0, 3);
                            ?>
                            
                          <div class="col-3 col-md-2">
                            <img src="<?php echo $cdn_url ?>/latham-images/thumbs/<?php echo $thumb ?>" data-liner-id="<?php echo $liner_index ?>" class="liner-selector">
                          </div>

                                
                          <?php 
                            } 
                          } 
                          ?>
                        </div>
                      </div>
                      
                      
                      <div class="row mt-3">
                        <div class="col-12 ll-btn-container">
                          <button class="ll-btn ll-btn-main finish-button">See my pool!</button>
                          <!--<button class="sw-btn-prev ll-btn ll-btn-plain ll-back">Go Back</button> -->
                        </div>
                      </div>
                        
                    </div>
                    
                    </div>
                
                <!-- close container for wizard -->
                </div>
                
                </div>
                
              </div>
            </div> 
            
            <div id="angle-select-container" class="canvi-navbar">
                <div class="tab-overhang-container">
                    <div style="position: relative;">
                    <div id="tab-grabber-handle" class="tab-overhang js-canvi-open-button--right angle-selector-element-icon ui-config-icon"><span class="expand-text">Expand</span></div>
                  </div>
                </div>
                <ul id='angle-select-thumbnails'>
                    <li><h6>Change View </h6></li>
                </ul>
            </div>
            
          </div>
          <div class="col mobile-ui">
            <div class="row no-gutters">
              <div class="col-6">
                <a class="primary-branding-bg mobile-liner-change mobile-ui-target"><span class="expand-text"><i class="icon-delicious mr-3"></i>Change Liner</span></a>
              </div>
              <div class="col-6">
                <div class="mobile-view-change js-canvi-open-button--right angle-selector-element-icon mobile-ui-target ll-active"><span class="expand-text"><i class="icon-exchange mr-3"></i>Change View</span></div>
              </div>
            </div>
          </div>
          
        </div>
        
    </div>
  </div>
        
        
</div>
<div id="theOverlayContainer" class="md-overlay"></div>